Bug 879866 - UI for [RFE]: Multi-Tier fencing in RHEV-M
UI for [RFE]: Multi-Tier fencing in RHEV-M
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2.0
Assigned To: Barak
Tareq Alayan
http://wiki.ovirt.org/wiki/Features/D...
infra
: FutureFeature, SubFeature
Depends On: 773108
Blocks: 915537
  Show dependency treegraph
 
Reported: 2012-11-24 17:39 EST by Eli Mesika
Modified: 2016-02-10 14:03 EST (History)
9 users (show)

See Also:
Fixed In Version: sf3
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
dyasny: Triaged+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 10335 None None None Never

  None (edit)
Description Eli Mesika 2012-11-24 17:39:54 EST
Description of problem:
Add UI to support [RFE]: Multi-Tier fencing in RHEV-M as described at
http://wiki.ovirt.org/wiki/Features/Design/DetailedHostPMMultipleAgents#User_Experience

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
Add a drop-down to the PM Options TAB with static Primary/Secondary entries where Primary is the default

Add a Concurrent check-box  to the PM Options TAB , default ; unchecked 

Switching from Primary to Secondary the following fields :

Address, UserName, Password, Type, Options , Secure

Each of those fields has a setter : setSecondary<field name> in VdsStatic passed by the Add/Update Host command

Switching from Secondary to Primary uses the same set of fields as used in 3.1 

Concurrent is set at the Host level by calling setPmConcurrent

The Test button should test the current settings according to the value in the drop-down box



Additional info:
Comment 1 Alexey Chub 2012-12-31 03:38:48 EST
http://gerrit.ovirt.org/#/c/10335/
Change-Id: Iaf35465afa353637737f90d6c825d8c1ce2ad1c9
Comment 2 Tareq Alayan 2013-02-11 10:32:27 EST
verified the UI is updated.
Comment 4 Itamar Heim 2013-06-11 04:40:52 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 04:40:52 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 04:41:01 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 04:48:23 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.